<div class="widgets">
  
    <div class="row">
      <div class="col-md-6">
        <div
          ba-panel
          ba-panel-title="Producto # {{ vm.producto.id }}"
          ba-panel-class="with-scroll">
          <form name="vm.form" ng-submit="vm.upload(vm.form.$valid)" novalidate>
            <div class="input-group">
              <input type="text" class="form-control with-danger-addon" id="input00" name="UPC" placeholder="UPC"
                    ng-model="vm.producto.UPC" ng-blur="vm.checkUPC()" required>
              <div class="input-group-btn">
                <button class="btn btn-info" type="button" style="border-radius: 0 4px 4px 0;" ng-click="vm.openUPC()">
                  <i class="fa fa-search"></i>
                </button>
              </div>
            </div>
            <div class="form-group"
                ng-class="{'has-error': vm.form.UPC.$invalid && (vm.form.UPC.$dirty || vm.form.$submitted)}">
              <span class="help-block error-block basic-block">Requerido</span>
              <span ng-show="!vm.isValidUPC" 
                  class="help-validator error-block basic-block">El codigo UPC no es valido</span>
            </div>
            <div class="form-group"
                ng-class="{'has-error': vm.form.pNombre.$invalid && (vm.form.pNombre.$dirty || vm.form.$submitted)}">
              <label for="input01">Nombre</label>
              <input type="text" class="form-control" id="input01" name="pNombre" placeholder="Nombre"
                     ng-model="vm.producto.pNombre" required>
              <span class="help-block error-block basic-block">Requerido</span>
            </div>
            <div class="form-group"
                ng-class="{'has-error': vm.form.pDescripcion.$invalid && (vm.form.pDescripcion.$dirty || vm.form.$submitted)}">
              <label for="input02">Descripcion</label>
              <div text-angular id="input02" ng-model="vm.producto.pDescripcion"></div>
              <span class="help-block error-block basic-block">Requerido</span>
            </div>
            <div class="form-group">
              <label for="input03">Imagen</label>
              <div class="drop-box product">
                <img
                  ngf-select
                  ngf-thumbnail="vm.file || vm.producto.pImagen || '/assets/pictures/empty.png'"
                  ng-model="vm.file"
                  accept="image/*"
                  ngf-max-size="2MB">
              </div>
            </div>
            <div class="form-group"
                ng-class="{'has-error': vm.producto.idProveedor === 0}">
              <label for="input03">Proveedor</label>
              <ui-select ng-model="vm.producto.idProveedor"
                         class="btn-group bootstrap-select form-control"
                         ng-disabled="false"
                         append-to-body="true"
                         search-enabled="true">
                <ui-select-match placeholder="Proveedor">
                  {{$select.selected.pNombre}}
                </ui-select-match>
                <ui-select-choices
                  repeat="proveedor.id as proveedor in vm.proveedores | filter: {pNombre: $select.search}">
                  <div ng-bind-html="proveedor.pNombre | highlight: $select.search"></div>
                </ui-select-choices>
              </ui-select>

              <span class="help-block error-block basic-block">Requerido</span>
            </div>
            <div class="form-group">
              <label for="input04">Precio</label>
              <input type="text" class="form-control" id="input04" placeholder="Bs" ng-model="vm.producto.pPrecio">
            </div>
            <div class="form-group">
              <label for="input05">Cantidad en mano</label>
              <input type="text" class="form-control" id="input05" placeholder="0" ng-model="vm.producto.pCantidadEnMano">
            </div>
  
            <div class="buttons" style="text-align: right;">
              <button class="btn btn-info">Guardar</button>
              <a ng-if="vm.allowDelete" class="btn btn-danger" data-toggle="modal" ng-click="vm.remove()">Borrar</a>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
  